{% extends 'widgets/productivity_diagram/wrapper.html.twig' %}


{% block pd_body %}

    <div>{{ 'Your productivity by weekday' | trans }}</div>

    {% set MAX_DATA_BAR_WIDTH_EM = '5' %}

    {% set days = {
        '0': 'Monday' | trans,
        '1': 'Tuesday' | trans,
        '2': 'Wednesday' | trans,
        '3': 'Thursday' | trans,
        '4': 'Friday' | trans,
        '5': 'Saturday' | trans,
        '6': 'Sunday' | trans,
    } %}

    {% for weekday,cnt in wdwo.data if wdwo.hiddenData.max != 0 %}
        <div class="pd_data_row">
            <div class="pd_data_cell">{{ days[weekday] }}</div>
            <div class="pd_data_cell">
                <div class="pd_data" style="width: {{ (cnt/wdwo.hiddenData.max) * MAX_DATA_BAR_WIDTH_EM + 0.1 }}em"></div>
            </div>
            <div class="pd_data_cell">
                {{ cnt }}
            </div>
        </div>
    {% else %}
        <div class="no_data">{{ 'No data' | trans }}</div>
    {% endfor %}
{% endblock %}